# -*- coding: utf-8 -*-
#
# This module contains the configuration of the individual eric6 installation
#

_pkg_config = {
    'ericDir': r'/usr/local/share/eric6',
    'ericPixDir': r'/usr/local/share/eric6/pixmaps',
    'ericIconDir': r'/usr/local/share/eric6/icons',
    'ericDTDDir': r'/usr/local/share/eric6/DTDs',
    'ericCSSDir': r'/usr/local/share/eric6/CSSs',
    'ericStylesDir': r'/usr/local/share/eric6/Styles',
    'ericDocDir': r'/usr/local/share/doc/eric6',
    'ericExamplesDir': r'/usr/local/share/examples/eric6',
    'ericTranslationsDir': r'/usr/local/share/eric6/i18n',
    'ericTemplatesDir': r'/usr/local/share/eric6/DesignerTemplates',
    'ericCodeTemplatesDir': r'/usr/local/share/eric6/CodeTemplates',
    'ericOthersDir': r'/usr/local/share/eric6/Others',
    'bindir': r'/usr/local/bin',
    'mdir': r'/usr/local/lib/python2.7/site-packages',
    'apidir': r'/usr/local/share/qt4/qsci/api',
    'apis': [u'zope-2.10.7.api', u'zope-3.3.1.api', u'zope-2.11.2.api', u'eric6.api', u'Ruby-1.8.7.api', u'eric6.api', u'Ruby-1.9.1.api', u'qss.api'],
    'macAppBundlePath': r'/Applications',
    'macAppBundleName': r'eric6.app',
}

def getConfig(name):
    '''
    Module function to get a configuration value.

    @param name name of the configuration value (string)
    '''
    try:
        return _pkg_config[name]
    except KeyError:
        pass

    raise AttributeError('"{0}" is not a valid configuration value'.format(name))
